config/routes.rb
Rails.application.routes.draw do

  root 'static_pages#home'
  get 'static_pages/help'
  get 'sessions/new'


  get "/about", to: 'static_pages#about'
  get "/contact", to: 'static_pages#contact'
  get "/help", to: 'static_pages#help'


  get '/login', to: 'sessions#new'
  post '/login', to: 'sessions#create'
  delete '/logout', to: 'sessions#destroy'

  get '/search', to: 'questions#search'

  post '/upvote', to: 'votes#up_vote'
  post '/downvote', to: 'votes#down_vote'

  resources :users
  resources :account_activations , only: [:edit]
  resources :password_resets , only:[:new, :create, :edit, :update]
  resources :questions , except: [:create]

  resources :answers ,except: [:index,:show]
  resources :tags, only: [:index, :show]
  resources :comments, except: [:new, :index, :show]
end

app/controllers/static_pages_controller.rb
class StaticPagesController < ApplicationController
  def home
    if current_user
      @questions = current_user.questions.paginate(page: params[:page])
    end
  end

  def help

  end

  def about

  end

  def contact

  end

end

app/helpers/static_pages_helper.rb
module StaticPagesHelper
end

app/views/static_pages/about.html.erb
<% provide(:title, "About") %>

<h1>About</h1>
<p>
  The <a href="https://www.railstutorial.org/"><em>Ruby on Rails
  Tutorial</em></a>, part of the
  <a href="https://www.learnenough.com/">Learn Enough</a> family of
  tutorials, is a
  <a href="https://www.railstutorial.org/book">book</a> and
  <a href="https://screencasts.railstutorial.org/">screencast series</a>
  to teach web development with
  <a href="https://rubyonrails.org/">Ruby on Rails</a>.
  This is the sample app for the tutorial.
</p>

app/views/static_pages/contact.html.erb
<% provide(:title, 'Contact') %>
<h1>Contact</h1>
<p>
  Contact the Ruby on Rails Tutorial about the sample app at the
  <a href="http://www.railstutorial.org/contact">contact page</a>.
</p>

app/views/static_pages/help.html.erb
<% provide(:title, "Help") %>

<h1>Help</h1>
<p>
  Get help on the Ruby on Rails Tutorial at the
  <a href="https://www.railstutorial.org/help">Rails Tutorial help
    section</a>.
  To get help on this sample app, see the
  <a href="https://www.railstutorial.org/book"><em>Ruby on Rails
    Tutorial</em> book</a>.
</p>

app/views/static_pages/home.html.erb
<% provide(:title, "Home") %>
<% if logged_in? %>
  <h1>Your Queries</h1>
  <div class="row">
  <div class="col-md-8">
    <%= render @questions %>
  </div>

  <% else%>
  <div class="jumbotron text-center">
    <h1>Welcome to My Stack_Overflow</h1>
    <div class="col-md-4 col-md-offset-4"><%= link_to "Sign up now!", new_user_path, class: "btn btn-lg btn-primary" %></div>
  </div>
  <div class="btn btn-primary"><%= link_to "Search" ,search_path%> </div>
  </div>
<% end %>